tbb::internal::affinity_helper Class Reference

`#include <tbb_misc.h>`

Inheritance diagram for tbb::internal::affinity_helper:
Collaboration diagram for tbb::internal::affinity_helper:

## Public Member Functions

void | protect_affinity_mask (bool)
void | dismiss ()

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

Definition at line 261 of file tbb_misc.h.

## Member Function Documentation

## dismiss()

void tbb::internal::affinity_helper::dismiss | ( |  | ) |

inline

Definition at line 264 of file tbb_misc.h.

{}

## protect_affinity_mask()

void tbb::internal::affinity_helper::protect_affinity_mask | ( | bool |  | ) |

inline

Definition at line 263 of file tbb_misc.h.

{}

Referenced by tbb::internal::rml::private_worker::wake_or_launch().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- tbb_misc.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.